Post Work Orders Id Unarchive

View as Markdown

Authentication

AuthorizationBearer
OAuth 2.0 Client Credentials Flow. To obtain an access token: 1. Request API credentials from HINDSITE support to receive your `client_id` and `client_secret` 2. Make a POST request to obtain an access token: ``` POST https://app.hindsiteind.com/oauth/token Content-Type: application/x-www-form-urlencoded grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET ``` 3. The response will contain your access token: ```json { "access_token": "your_access_token_here", "token_type": "Bearer", "expires_in": 7200, "created_at": 1234567890 } ``` 4. Include the token in subsequent API requests: ``` Authorization: Bearer your_access_token_here ```

Path parameters

idstringRequired

Response

created Unarchive
idstringOptional
ULID
titlestringOptional
descriptionstringOptional
templatebooleanOptional
sharedbooleanOptional
archivedbooleanOptional
approvedbooleanOptional
completedbooleanOptional
completed_atlongOptional

Unix timestamp (seconds since epoch)

progressdoubleOptional

Completion rate 0-100

work_order_tasks_countintegerOptional
assigned_userslist of objectsOptional
manager_idslist of stringsOptional
participant_idslist of stringsOptional
operational_lead_idslist of stringsOptional
location_idslist of stringsOptional
project_idslist of stringsOptional
tracked_timeintegerOptional
Total tracked minutes
work_order_tasks_approvedbooleanOptional
started_atlong or nullOptional

Unix timestamp (seconds since epoch); null when unset

start_datelong or nullOptional

Unix timestamp (seconds since epoch); null when unset

finish_datelong or nullOptional

Unix timestamp (seconds since epoch); null when unset

location_timezonestringOptional
creator_idstringOptional
ULID
asset_idstringOptional
ULID
work_order_template_idstringOptional
ULID
flaggedbooleanOptional
editablebooleanOptional
work_order_taskslist of objectsOptional
reviewerslist of objectsOptional

Present when include_reviewers is set

organisation_idstringOptional
ULID
user_can_reviewbooleanOptional
documentslist of objectsOptional